:root {
    --main-color: #2c3643;
    --accent-color: #a05599;
    --border-color: #eee;
    --light-purple: rgba(160, 85, 153, .05);
    --background-color: rgba(250,250,250,1);
    --standard-gray: #efefef;
    --dark-purple: #5a0e56;
    --bg-color: #fff;
    --font-family: "Open Sans", Arial, Verdana, sans-serif;
    --font-size: 13px;
    --font-weight-normal: 400;
    --font-weight-bold: 600;
    --line-height: 1.5;
    --shadow-main: rgba(0, 0, 0, 0.14) 0px 1px 2px, rgba(0, 0, 0, 0.12) 0px 0px 2px;
    --border-radius: 5px;
    --gap-size: 10px;
    --icon-size: 1.5rem;
    --button-padding: .66rem 2rem;
}

.h1,
.h2,
.h3,
.h4,
.h5,
h1,
h2,
h3,
h4,
h5,
a,.a,
.form-control {
    font-family: var(--font-family);   
}

*,
*::before,
*::after {
    box-sizing: border-box;
}


html{
    min-height: 100vh;
}

body,
html {
    color: var(--main-color);
    font: var(--font-weight-normal) var(--font-size)/var(--line-height) var(--font-family);
}

body{
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    background-color: var(--background-color) !important;
}

.page-copy {  
    padding: 2rem 0;
   
    min-height: 100%;  
}
.wrapper-body{
   
    flex-grow: 1;  
}
.no-value.page-copy{
    display: none;
}


html a,
html a:hover,
a:focus,
a:visited {
    color: var(--dark-purple);
    text-decoration: none;
}

.btn-primary {
    background-color: var(--dark-purple) !important;
    color: #fff !important;
    border-color: var(--dark-purple) !important;
}

.modal .btn-default {
    background-color: var(--background-color) !important;
    color: #000 !important;
}



.nav-item a {
    color: var(--main-color)
}

.nav-item a.nav-link:active {
    color: var(--dark-purple);
}

.navbar-light .navbar-nav .nav-link {
    color: var(--main-color);
    font-weight: 600;
}

.fcc-header {
    padding-top: .5rem;
    padding-bottom: .5rem;
    background: var(--bg-color);
    position: relative;
    display: block;
    font-size: 14px !important;
    border-bottom: 1px solid var(--border-color);
   
}

.breadcrumb {
    --bs-breadcrumb-divider: '>';
}

.breadcrumb>li a {
    color: #323130;
    text-decoration: none;
    font-weight: 700;
}

.breadcrumbs {
    padding: calc(1rem + 5px) 0 1rem !important;
    font-size: 11px;
    border-bottom: 1px solid var(--border-color);
    background-color: var(--background-color);
    
}

footer {
    border-top: 1px solid var(--border-color);
    background: #eee6ee;
    border-top: 1px solid #5a0e56;
}

.service-sep,
.table-header {
    font-size: 27px;
    font-weight: 300;
    color: var(--dark-purple);
}

.styled-button {
    position: relative;
    /* Position relative for pseudo-elements */
    background-color: rgba(90, 14, 86, 0.6);
    /* Transparent background */
    color: #fff;
    /* Text color */
    border: 1px solid var(--dark-purple);
    letter-spacing: 1.4px;
    border-radius: 3px;
    font-size: 12px;
    /* Font size */
    padding: 5px 18px;
    font-weight: 400;
    /* Bold text */
    cursor: pointer;
    /* Pointer cursor on hover */
    text-transform: uppercase;
    z-index: 1;
    /* Make sure the button content stays on top */

}

.styled-button a,
.styled-button a:hover,
.styled-button a:focus {
    text-decoration: none;
    color: inherit;
}

.styled-button::after {
    content: '';
    /* Necessary for pseudo-elements */
    position: absolute;
    top: -3px;
    left: 3px;
    right: 3px;
    bottom: -3px;
    border: 1px solid var(--dark-purple);
    /* Outer border */
    background-color: rgba(90, 14, 86, 1);
    border-radius: 3px;
    z-index: -1;
    /* Behind the button */
}

.table-header {
    display: flex;
    /* Activate flexbox layout */
    justify-content: space-between;
    /* Spread elements to the ends */
    align-items: center;
    /* Align all items vertically in the center */
    width: 100%;
    /* Ensure the container takes full width */
}

.table-title {
    flex-grow: 1;
    /* Allow the title to grow as needed */
    padding-right: 10px;
    /* Add some spacing between title and "See More" */
}

.see-more {
    white-space: nowrap;
    /* Prevent "See More" from wrapping to another line */
    display: flex;
    padding-top: 1.5px;
    align-items: center;
    /* Ensure "See More" text is also vertically centered */
}


.table-header {
    margin-bottom: var(--gap-size);
}

.card-wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: var(--gap-size);
    margin-top: var(--gap-size);
    margin-bottom: calc(var(--gap-size) * 3);
}

.temp-main {
    background: var(--background-color);
}

.card-pb {
    padding: var(--button-padding);
    background: var(--bg-color);
    box-shadow: var(--shadow-main);
    border-radius: var(--border-radius);
    font-size: var(--font-size);
    width: calc(25% - var(--gap-size));
    color: var(--main-color);
    font-family: var(--font-family);
    display: flex;
    flex-direction: column;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.card-pb-header,
.card-pb-title {
    display: flex;
    justify-content: space-between;
    align-items: center;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.card-pb-title {
    font-weight: var(--font-weight-bold);
}

.card-pb i {
    margin-left: var(--gap-size);
    font-size: var(--icon-size);
    flex-shrink: 0;
}

.card-pb-body {
    margin-top: 0.5rem;
    white-space: normal;
    overflow: hidden;
    text-overflow: ellipsis;
}

.bi {
    color: var(--dark-purple)
}

.nav-pills {
    margin-bottom: var(--gap-size) !important;
}

.nav-pills .nav-link.active,
.nav-pills .show>.nav-link {
    background-color: var(--dark-purple) !important;
    color: #fff !important;

}

.right-nav {
    align-items: center;
    gap: 10px;
}

.fcc-header .navbar {
    padding-top: 0px;
    padding-bottom: 0px;
}

.navbar-nav>li>a {
    line-height: normal;
    font-size: 14px;
    font-weight: 500;
}

/*Legend Holder*/
.legend-heading {
    font-size: 14px;
    margin-bottom: 10px;
    font-weight: 600;
    margin-top: 10px;
}

.legend-holder {
    margin: 0 15px 0 0;    
    margin-bottom: 20px;
    
}

.legend-holder li {
    padding: 0.5rem 1rem;
    background: var(--bg-color);
    box-shadow: var(--shadow-main);
    border-radius: var(--border-radius);
    margin-bottom: 7px;
    display: flex;
    align-items: center;
}

.legend-holder li a {
    font-size: 12px;
    flex-grow: 1;
    white-space: nowrap;
    text-decoration: none;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-right: 5px;
}

/*Sidebar Process*/
.sidebar {
    margin: 0 15px 0 0;
    border-radius: 5px;
    font-size: 12px;

    padding-top: 10px;
    background: var(--bg-color);
    box-shadow: var(--shadow-main);
    border-radius: var(--border-radius);
}

.sidebar-heading {
    font-size: 14px;
    margin-bottom: 10px;
    margin-right: 15px;
    font-weight: 600;
}

.sidebar .info-item {
    margin-bottom: 5px;
    color: var(--dark-purple);
}


.sidebar .info-item {
    margin-bottom: 10px;
    margin: 0 10px 10px 10px;
}


/*misc overrides*/
html[dir=ltr] li a {
    margin-left: 0;
}
.tab-title{
    display: none;
}
/*overrides for grid*/
pages-native-container {
    padding: 5px;
}

pages-native-container .root-187 {
    border-radius: 5px;
    box-shadow: rgba(0, 0, 0, 0.14) 0px 1px 2px, rgba(0, 0, 0, 0.12) 0px 0px 2px;
}

pages-native-container a {
    color: #0d6efd !important;

}

.ms-Stack.css-208 {
    border-bottom: 1px solid var(--dark-purple);
    background-color: #fff;
    display: flex;
    flex-flow: column;
    width: auto;
    height: auto;
    box-sizing: border-box;
}

.ms-FocusZone.css-195.ms-CommandBar.root-209 {
    background: var(--light-purple);
    padding: 2rem .5rem;
    margin: 5px;
    border-radius: 5px;
}

.ms-CommandBarItem-link.ms-Button,
.ms-Button--default {
    padding: 1rem 2rem;
    box-shadow: rgba(0, 0, 0, 0.14) 0px 1px 2px, rgba(0, 0, 0, 0.12) 0px 0px 2px;
    border-radius: 5px;
    font-size: 14px;
    height: 35px;
   
}

.ms-SearchBox {
    box-shadow: rgba(0, 0, 0, 0.14) 0px 1px 2px, rgba(0, 0, 0, 0.12) 0px 0px 2px;
    border-radius: 5px;
    height: 35px;
}

/*Map Style*/
.map-container {
    height: 500px;

    display: flex;
    margin: 5px;
    border-radius: 5px;
    box-shadow: rgba(0, 0, 0, 0.14) 0px 1px 2px, rgba(0, 0, 0, 0.12) 0px 0px 2px;
}

.map-cards {
    width: 300px;
    max-height: 100%;
    overflow-y: scroll;
    background-color: var(--light-purple);
}

.map-card {
    padding: .66rem 1rem;
    background: var(--bg-color);
    box-shadow: var(--shadow-main);
    border-radius: var(--border-radius);
    font-size: var(--font-size);
    color: var(--dark-purple);
    display: flex;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    margin: 10px;
}

.map-holder {
    flex: 1;
    padding: 10px 10px 10px 0;
}

.map-card-header {
    flex: 1;
    font-weight: 600;
}



/*Form Overrides*/
.crmEntityFormView fieldset,
.file-cell {
    box-shadow: rgba(0, 0, 0, 0.14) 0px 1px 2px, rgba(0, 0, 0, 0.12) 0px 0px 2px;
    border-radius: 5px;
    background-color: #fff;
    display: flex;
    flex-direction: column;
   
    z-index:100
}


.section-title h3,
.file-cell .table-info {

    padding: 1.5rem;
    margin-bottom: 0;
    font-size: 16px;
    font-weight: 600;
line-height: 1;

    color: #2c3643;

}

.section-title h3 {
    background-color:transparent;
    border-bottom: 1px solid var(--border-color)
}

.section-title h3 div {
    display: block;
    margin-top: 5px;
    line-height: 1.5;
    font-weight: 400;
    font-size: 13px;
    opacity: .7;
}

.features{
    margin-top: var(--gap-size);
    margin-right: -1rem;
    margin-bottom: 2rem;
}

.features .col .feature{
box-shadow: var(--shadow-main);
border-radius: 5px;
margin: 0 1rem 1rem 0;
padding: 1rem 2rem;
background-color: #fff;
}

.features .col .feature .feature-title{
    font-weight: 600;
    font-size: 16px;
    color:var(--dark-purple);
}
.features .col .feature .feature-blurb{
    color:var(--main-color);
    opacity: .8;
}

.crmEntityFormView .section-title {
    border-bottom-width: 0;
    margin-bottom: 0px;
}

.crmEntityFormView .section {
    width: calc(100% - 3rem) !important;
}

.crmEntityFormView table {
    margin: 1.5rem;
}



.crmEntityFormView .cell {
    padding: 0;
}

legend.section-title {
    display: block;
}

.form-control-cell,.picklist-cell,.state-cell {
    padding-right: var(--gap-size) !important;
    padding-bottom: 20px !important;
}

fieldset tr:last-of-type td {
    padding-bottom: 0 !important;
}

fieldset table.section tr td:nth-last-child(2) {
    padding-right: 0px !important;
}

.field-label {
    font-size: 12px;
    font-weight: 600;
    margin-bottom: 5px;
    display: inline-block;
    width: 90%;
    margin-bottom: 5px;
    font-size: 11px;
    font-weight: 600;
    text-decoration: none;
    text-transform: uppercase;
    color: #2c3643;
}

.form-control {
    padding: .66rem 1rem !important;
    border: 1px solid var(--border-color) !important;
    border-radius: 5px;
    font-weight: 400;
    font-size: 14px !important;
}

.form-control.lookup {
    background-color: #fff !important;
    border-radius: 5px;
}

html .clearlookupfield.btn{
    border-top:1px solid var(--border-color);
    border-bottom:1px solid var(--border-color);
}

.lookup .input-group {
    border-radius: 5px;    
   
   
}

.crmEntityFormView .form-control.readonly,
.crmEntityFormView .form-control[readonly][disabled],
.form-readonly .form-control,
.form-control[readonly] {
    background-color: var(--standard-gray);
    box-shadow: none;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    cursor: auto;
    padding: .5rem 1rem;
    border-width: 1px;
}

html .msos-container:not(.msos-disabled),
html .msos-container:not(.msos-disabled).msos-focused {
    border-radius: 5px;
    border: 1px solid var(--border-color) !important;
    box-shadow: none;
    border-color: inherit;
}

.msos-current-selection-normal {
    align-items: center;
    gap: 5px;
}

html .msos-selecteditems {
    padding: 5px;
}

.msos-selected-display-item {
    background: #efefef;
    height: 100% !important;
    line-height: 1 !important;
}

html[dir=ltr] fieldset .msos-selected-display-item {
    margin: 0 !important;
    align-items: center
}

.msos-selected-display-item-text,
.msos-quick-delete {
    padding: 0;
}

/*Lookup Modal Overrides*/
.entity-associate .view-grid,
.entity-lookup .view-grid {
    font-size: 12px;
    background-color: #fafafa;
}

.entity-associate .view-grid,
.entity-lookup .view-grid td,
.entity-associate .view-grid,
.entity-lookup .view-grid th {
    background-color: #fff;
}

.modal-lookup .modal-body {
    padding: 0 !important;
}

.modal-body th .fa {
    width: 100%;
    text-align: center;
}

.modal-body .grid-actions {
    padding: 1rem;
    margin-bottom: 0;
    display: flex;
    border-bottom: 1px solid var(--border-color);
}

.entitylist-search {
    width: 300px !important;
}

.modal-body table {
    margin: 0;
}

.modal-body tr:last-of-type td {
    padding-bottom: 8px !important;
}

.modal-body .view-grid>span:first-child {

    display: none;
}

.modal-body .query.form-control {
    border-width: 0;
}

.selected.table-info {
    background-color: var(--light-purple);
    color: var(--dark-purple);
    font-weight: 600;
    border-color: var(--border-color);
}

.selected.table-info td {
    background-color: transparent !important;

}

/**Old Table Override**/
.fcc-toolbar-actions,
.fcc-toolbar-actions .fcc-input-group {
    display: flex;
    align-items: center;
    gap: 10px;
}



input.fcc-query.fcc-form-control,
.fcc-input-group a.fcc-btn {
    padding: var(--button-padding);
    
}

input.fcc-query.fcc-form-control {
    border: 0;
    padding-left: 1rem;
}

.fcc-input-group {
    display: flex;
}

.fcc-input-group:not(.fcc-view-search) {
    order: 1;
    /* Set the other input groups (Create and Download) to appear first */
}

.btn,.fcc-btn,.fcc-input-group.fcc-view-search  {
    border: 2px solid var(--dark-purple);
    border-radius: 5px;
    font-size: 12px;
    font-weight: 600;
    text-transform: uppercase;
}
.btn.aria-exp,.clearlookupfield{
    border:0;
}

.fcc-input-group a.fcc-btn {
    font-weight: 600;
}

.fcc-input-group.fcc-view-search {
    order: 2;
    justify-content: end;
    margin-left: auto;
    padding: 1px;
}

.fcc-view-search button.fcc-btn.fcc-btn-default {
    background: transparent;
   border:0;
    padding-right: 10px;
}



.fcc-target.grid-actions {
    margin: 0;
    padding: 0;
    border-bottom: 1px solid var(--border-color);
}

.entitylist .table {
    margin-bottom: 0;
}

td[aria-label="action-menu"] {
    padding-right: 10px;
}
.view-grid td {
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    
}
.entitylist .table td.isSorted {
    
    color: var(--dark-purple);
    background-color: #fafafa;
}
.entitylist .table a{
    font-weight: 600;
}
.entitylist .table th.sort {
    color: var(--dark-purple);
    background-color: #fafafa;
}

.fcc-toolbar-actions {
    padding: 1rem;
    border-top: 1px solid var(--border-color);
    
}

.entitylist.entity-grid {
    box-shadow: var(--shadow-main);
    border-radius: 5px;
    background-color: #fff;
}

.entity-grid .message,
.entity-grid .message .alert {
    margin: 0;
    border-radius: 0;
}
.view-empty.message{
    padding:1rem
}


.entitylist .view-pagination .pagination {
    margin: 0;
    font-weight: 600;
}

.jquery-bootstrap-pagination {
    padding: 10px;
}

.page-link {
    color: var(--dark-purple) !important;
}

.page-item.active .page-link {
    color: #fff !important;
    background-color: var(--dark-purple) !important;
    border-color: var(--dark-purple) !important;
}

.page-item:first-child .page-link {
    border-top-left-radius: 5px !important;
    border-bottom-left-radius: 5px !important;
}

.page-item:last-child .page-link {
    border-top-right-radius: 5px !important;
    border-bottom-right-radius: 5px !important;
}

.entitylist tr {
    vertical-align: middle;
    font-size: 12px;
}

.entitylist th a {
    font-size: 10px;
    color: var(--main-color);
    font-weight: 700;
    text-transform: uppercase;
    opacity: .8;
    display: flex;
    justify-content: space-between;
}

.table-striped>tbody>tr:nth-of-type(odd) {
    --bs-table-accent-bg: transparent !important;
    color: var(--main-color) !important;
}

.dropdown.action .btn {
    padding: 0;
    margin-right: 1rem;
}
.fa-search{
    border:0 !important;
}

.btn.btn-default.launchentitylookup {
    border: 1px solid var(--border-color) !important;
    border-color: var(--border-color) !important;
    border-left: 0 !important;
}


/**Filter overrides**/
/* Specific styling for lists and elements within #entitylist-filters */

#entitylist-filters {
    display: flex;
    /* Use flexbox for equal column widths */
    flex-wrap: wrap;
    /* Allow wrapping if there are too many columns */
    gap: 10px;
    /* Add space between columns */
    list-style-type: none;
    /* Remove bullets from the main ul */
    margin:0;
border-top: 1px solid var(--border-color);
border-bottom: 1px solid var(--border-color);
    /* Remove margin from the main ul */
    padding: 1rem;
    
    /* Remove padding from the main ul */
}
.filter-title{
    padding: 1rem;
    font-size: 16px;
    font-weight: 600;
    color:var(--dark-purple)
    
}
.filter-title .navbar-toggler{
padding: 0;
margin:0;
font-size: 24px;
}
#entitylist-filters li {
    flex: 1;
    /* Each list item will take up equal width */
    display: flex;
    /* Ensure the content inside li stretches */
    flex-direction: column;
    /* Stack the label and input vertically */
    min-width: 200px;
    /* Optional: Set a minimum width for columns */
}

/* Remove bullet points, margins, and paddings from child lists inside #entitylist-filters */
#entitylist-filters ul,
#entitylist-filters ol {
    list-style-type: none;
    /* Remove bullets or numbers from nested lists */
    margin: 0;
    /* Remove margins from nested lists */
    padding: 0;
    /* Remove paddings from nested lists */
}

#entitylist-filters .fcc-entitylist-filter-option-group-box-overflow {
    display: flex;
    flex-grow: 1;
    /* Allow the inner div to grow to fill available space */
}

#entitylist-filters .fcc-entitylist-filter-option {
    width: 100%;
    /* Make sure the li child fills the full width */
}

#entitylist-filters .fcc-input-group {
    display: flex;
    /* Ensure the input group behaves as a flexbox */
    width: 100%;
    /* Make the input group span the full width */
}

#entitylist-filters .fcc-form-control {
    flex: 1;
    /* The input itself will expand to take all available space */
    width: 100%;
    /* Ensure the input spans the full width of the container */
}

#entitylist-filters .fcc-checkbox label {
    display: flex;
    justify-content: space-between;
    width: 100%;
}
#entitylist-filters .fcc-checkbox label input[type=checkbox] {
    display: none;
}
html[dir=ltr] .crmEntityFormView .cell.checkbox-cell div.table-info {
    padding-left: 0;
    margin-bottom: 5px;
}
.control .text-muted{
    display: none;
}
.control > div:not(.input-group,.lookup-modal) {
   display: flex;
   flex-direction: column;
   gap: 5px;
  }
.control .related-record-link{
    font-weight: 700;
}
  
#entitylist-filters .dt-picker {
    flex-grow: 1;
    width: 100%;
    /* Ensure the datetime picker spans full width */
}

.fcc-target.entitylist-filter.card {
    margin-bottom: var(--gap-size);
    border: 0;
    
    box-shadow: var(--shadow-main);
    border-radius: 5px;
}

.entitylist-filter .fcc-float-end {
    text-align: right;
    margin:1rem;
}

.fcc-list-inline {
    margin-bottom: var(--gap-size);
    
}

.fcc-btn-entitylist-filter-submit {
    padding: var(--button-padding);
    box-shadow: var(--shadow-main);
    background-color: #fff;
    border-radius: 5px;
   
    color: var(--dark-purple);
    font-weight: 600;
}

.fcc-entitylist-filter-option-group-label {
    font-size: 12px;
    font-weight: 600;
    margin-bottom: 5px;
}

.fcc-list-inline-item input,.fcc-form-select {
    padding: .375rem .75rem;
    font-weight: 400;
    line-height: 1.5;
    font-size: 14px;
    color: #212529;
    border: 1px solid #ced4da;
    border-radius: 5px;
}
.fcc-form-select{
    margin-right: 15px;
}

/**Document Override**/
.sharepoint-data .table {
    margin: 0;
}

/**Notes Overrides**/
.col-lg-8.entity-notes {
    width: auto !important;
}

label[for="notescontrol"] {
    display: none !important;
}

.entity-notes .note,
.entity-notes .note:first-child {
    border: none;
    padding-top: 0;
    
    box-shadow: var(--shadow-main);
    border-radius: 5px;
    margin-bottom: 1rem;
}

.sharepoint-grid{
    box-shadow: var(--shadow-main) !important;
    border-radius: 5px;
    padding: 0 !important;
}
.sharepoint-grid .grid-actions{
    padding: 1rem;
}

.sharepoint-grid a.btn.action{
    margin-left: 0 !important;
}
.sharepoint-grid .float-end{
    float: none !important;
}

html[dir=ltr] .entity-notes .note:last-child {
    margin-bottom: 0;
}

.notes .note .row {
    flex-direction: column;
    margin:0;
}

.entity-notes .attachment {
    margin-bottom: 0;
    display: flex;
    flex-direction: column;
    padding: 0;
    order:2;
}

html[dir=ltr] .entity-notes .note .metadata {
    text-align: left;
    font-size: 11px;
    text-align: left !important;
    
    width: auto !important;
    border-bottom: 1px solid var(--border-color);
    padding: 1rem;
}

html[dir=ltr] .entity-notes .note .content {
    width: auto !important;
    display: flex;
    flex-direction: column;
    padding: 0;
}

html[dir=ltr] .entity-notes .note .content:empty,
html[dir=ltr] .entity-notes .toolbar:empty,
html[dir=ltr] .entity-notes .attachment:empty {
    display: none;
}

html[dir=ltr] .entity-notes .toolbar {
    margin-left: 0;
    border-top: 1px solid var(--border-color);
}

html[dir=ltr] .entity-notes .toolbar .dropdown-menu {
    display: flex !important;
    gap: 5px;
    position: unset !important;
    border: 0;
    padding: 0;
    margin: 0
}

html[dir=ltr] .entity-notes .toolbar .dropdown-item {
    font-size: 11px;
    box-shadow: var(--shadow-main);
    border-radius: 5px;
    font-weight: 600;
}

html[dir=ltr] .entity-notes .toolbar .dropdown-item:hover {
    padding: .25rem 1rem !important;
}

html[dir=ltr] .entity-notes .toolbar .fa,
html[dir=ltr] .entity-notes .toolbar .fa-trash-can,
html[dir=ltr] .entity-notes .toolbar button {
    display: none;
}

.entity-notes .toolbar,
.entity-notes .text,
.entity-notes .attachment {
    padding: 1rem;
}
.entity-notes .text + .attachment{
   
    padding-top: 0;
}

.entity-notes .toolbar:empty,
.entity-notes .text:empty,
.entity-notes .attachment:empty {
    margin-bottom: 0;
}

html[dir=ltr] .entity-notes .note-actions {
    margin-top: 1rem;
}

html[dir=ltr] .entity-notes a.addnote,.submit-btn.btn,.add-file.btn.btn-primary {
    float: none;
    padding: var(--button-padding);
    box-shadow: var(--shadow-main);
    color: var(--dark-purple);
    border-radius: 5px;
    font-weight: 600;
    background-color: #fff;

}
.add-file.btn.btn-primary{
    color: var(--dark-purple) !important;
    background-color: #fff !important;
}

.crmEntityFormView .actions {
    padding: 0;
    border-top:0;
}

.checkbox label{
    display: flex;
    gap: 5px;
}

.checkbox input[type=checkbox],.checkbox input[type=radio]{
    margin-top: 0;
}

.add-file.btn.btn-primary span{
    display: none;
}

a.addnote .fa {
    display: none;
}

html[dir=ltr] .entity-notes .thumbnail {
    padding: .66rem;
    background-color: var(--standard-gray);
    border: 0;
}

.state-cell .control span{
    background-color: var(--standard-gray);
    display: flex;
    padding: .66rem 1rem !important;
    border: 1px solid var(--border-color) !important;
    border-radius: 5px;
    font-weight: 400;
    font-size: 14px !important;
}

html[dir=ltr] .entity-notes .link {
    margin: 5px 0 0 .66rem;
    font-size: 11px;
}

html[dir=ltr] .entity-notes .link .fa {
    display: none;
}

.modal-editnote .modal-body {
    padding: 1rem;
}

.modal-editnote .row.mb-3:last-child {
    margin-bottom: 0 !important;
}

.modal-editnote .thumbnail {
    display: none;
}

.modal-editnote .link {
    margin: 0 0 5px 0;
    font-size: 11px;
}

.modal-delete p {
    margin-bottom: 0 !important;
}

.entity-notes .toolbar,
.entity-notes .text {
    font-size: 14px;
}
.entity-notes .text{
    order:1
}
.entity-notes .toolbar{
    order:3
}

.modal-title {
    font-size: 14px !important;
    color: var(--dark-purple);
    font-weight: 600;
}

/**Hacky Crap*/
#WebResource_new_1 {
    height: 300px
}

#privateModeText {
    display: none;
}
html .row.sectionBlockLayout{
    padding: 0px 1rem !important
}
html .row.sectionBlockLayout > .container{
padding:0 !important
}

/**Fcc Banner**/
.fcc-banner {
    padding-top: 24px;  
    position: relative;
    
    background-color: #fff;
}

.cont {
    max-width: 1440px;
    padding-right: 1rem;
    padding-left: 1rem;
    margin-right: auto;
    margin-left: auto;
}

.menus {
    flex-grow: 1;
    text-align: right;
    display: flex;
    flex-direction: column;
    gap: 33px;
}

.logo {
    padding-top: 8px;
    flex-shrink: 1;
    max-width: 217px;
}



.top-menu {
    display: flex;
    flex-direction: row;
    justify-content: end;
    flex-grow: 1;
    white-space: nowrap;
}

.bottom-menu {
    flex-grow: 1;
}

.nav-link {
    text-decoration: none;
}

.bottom-menu .nav-link {
    background-color: #000;
    margin: 1px;
    border-left: 0;
    color: #fff;
    padding: calc(.5rem + 4px) 3rem;
    display: block;

    text-transform: uppercase;
    font-size: 1.25rem;
    font-weight: 300;
}

.top-menu li a.language {
    padding-right: 0;
}

.top-menu .nav-link {



    font-size: 12px;
    font-weight: 600;
    text-decoration: none;
    text-transform: uppercase;
    color: #2c3643;
}

.my-fingal {
    background-color: #5a0e56;
    padding: 1rem 0;
    color: #fff;
    box-shadow: 0 0 9px 0 #9d9c8f;
   
}

.profile-holder {
    display: flex;
    flex-direction: row;
    gap: 10px;
}

.profile-badge {
    width: 32px;
    height: 32px;
    background-color: var(--light-purple);

    border-radius: 50%;
    font-size: 12px;
    display: flex;
    align-items: center;
    justify-content: center;

}
#content_form #mainContent .xrm-editable-html.xrm-attribute.page-copy{
   
    display: none;
}

#content_form .col-lg-4,.col-lg-8  {
    flex-grow: unset !important;
}
#content_form .col-lg-4{
    max-width: 300px;
}
#content_form .col-lg-8{
    max-width: 58.33333333%;
}
#content_form legend{
    display: none;
}
#ProfileFormView legend{
    display: block;
}
.havingProfilePicture, .profilePictureContainer {
    width:  50px;
    height: 50px;
}
.profile-info .row{
    align-items: center;
}
.profile-info .row .fullName{
    padding: 0;
    padding-left: 1rem;
}
.profile-info{
    padding: 1rem;
}
.nav-profile .card-header{
    display: none;
}

.my-fingal-profile {

    color:var(--dark-purple);

    font-size: 16px;
}

.my-fingal-menu .nav-link {
    padding: 0;
    color: #fff;
    font-weight: 600;
    margin-right: 1rem;



}
.bottom-menu{
    font-weight: 400;
}
.bottom-menu .visitor {
    border-bottom: 8px solid #c85208;
    background-color: transparent;
    color: #c85208; /* Set the font color to match the border */
    font-weight: 400;
}

.bottom-menu .resident {
    border-bottom: 8px solid #5a8147;
    background-color: transparent;
    color: #5a8147; /* Set the font color to match the border */
    font-weight: 400;
}

.bottom-menu .business {
    border-bottom: 8px solid #397ea0;
    background-color: transparent;
    color: #397ea0; /* Set the font color to match the border */
    font-weight: 400;
}

.bottom-menu .council {
    border-bottom: 8px solid #5a0e56;
    background-color: transparent;
    font-weight: 400;
    color: #5a0e56; /* Set the font color to match the border */
}


.my-fingal{
    background-color: #fff;
}
.my-fingal .nav-link{
    color:var(--dark-purple);
}
.profile-holder a.sign-out,
.profile-holder a.account-action {
    border: 2px solid var(--dark-purple);
    background-color: var(--dark-purple);
    color:#fff;
    padding: .33rem 1rem;
    border-radius: 5px;
    font-size: 12px;
    font-weight: 600;
    text-transform: uppercase;
}

.my-fingal a.sign-out {
    background-color: transparent;
    color:var(--dark-purple)
  
}
.profile-holder a{
    color:var(--dark-purple);
}
.my-fingal-nav-header.nav-link{
    font-size: 32px;
    color:var(--dark-purple);
    font-weight: 300 !important;
    display: flex;
    align-items: center;
}
.my-fingal-nav-header .bi{
    color:var(--dark-purple);
    margin-right: 1rem;
    line-height: 1;
    font-weight: 400;
    
}

.fcc-banner {
    border-bottom: 1px solid var(--dark-purple)
}

.col-lg-7.columnBlockLayout {
    margin-left: 1rem !important
}

.account-actions {
    font-size: 11px;
    text-transform: uppercase;
    gap: 10px;
    font-weight: 700;
}


/***DDL***/
.mega-menu {           
    display: inline-block;
}

.mega-menu a {
    color: #000;
    text-decoration: none;
    display: flex;
}

.mega-menu-item {
    position: relative;
    display: inline-block;
}

.mega-dropdown {
    display: none;
    position: absolute;
    background-color: #ffffff;
    min-width: 300px;
    padding: 10px;
    border-radius: 5px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    z-index: 1;
}

.mega-dropdown-mega-submenu {
    position: relative;
}

.mega-submenu {
    display: none;
    position: absolute;
    left: 100%;
    top: 0;
    background-color: #ffffff;
    min-width: 300px;
    padding: 10px;
    border-radius: 5px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    z-index: 1;
}

.mega-dropdown-mega-submenu:hover .mega-submenu {
    display: block;
}

.mega-menu-item:hover .mega-dropdown {
    display: block;
}

.mega-dropdown a {
    padding: 8px 12px;
    display:flex;
    color: #000;
    align-items: center;
}

.mega-dropdown a .bi{
    margin-left: auto;
}

.mega-dropdown a:hover {
    background-color: #f1f1f1;
}

/**Mobile**/
.mobile {
    box-shadow: 0 0 9px 0 #9d9c8f;
    position: relative;
    z-index: 2;
    display: none;
}

.mobile-nav .nav {
    display: none;
}

.mobile .my-fingal-profile {
    padding: 1rem;
    background-color: var(--light-purple);
}

.mobile .account-actions {
    margin-left: auto;
}

.mobile .menu {
    margin-left: auto;
}
@media (max-width: 991px) {
    .col-lg-4 .sidebar {
        margin-top: 0;
    }
}
@media (max-width: 768px) {
    .table-header{
        margin-top: 1rem;
    }
    #content_form .col-lg-4,.col-lg-8,.col-lg-4  {
        flex-grow: 1 !important;
    }
    #content_form .col-lg-4,.col-lg-4{
        max-width: unset;
    }
    #content_form .col-lg-8{
        max-width: unset;
    }
    .map-container{
        flex-direction: column;
    }
    .map-cards{
        order:2;
        flex-grow: 1;
        width: auto;
        height:40%;
    }
    .map-holder{
        order:1;
        flex:auto;
        height:500px;
        padding: 10px;
    }
    .mobile {
        display: block;
    }
.fcc-banner,.my-fingal{
    display: none;
}
    .page-copy {
        padding: 1rem 0;
    }
 

    #entitylist-filters,.entitylist-filter .fcc-float-end {
        display: none;
    }

    .fcc-toolbar-actions,
    .fcc-card-body .fcc-btn {
        display: block;
        width: 100%;
    }

    .fcc-toolbar-actions .fcc-input-group {
        margin-bottom: 10px;
    }

    .fcc-toolbar-actions .fcc-input-group:last-child {
        margin-bottom: 0;
    }

    .fcc-toolbar-actions .fcc-input-group a,
    .fcc-card-body .fcc-btn a {
        display: block;
        width: 100%;
        text-align: center;
    }
    .fcc-toolbar-actions{
        display: none;
    }
    .table-responsive table {
        display: flex;
        flex-direction: column;
        width: 100%;
    }

    .table-responsive thead {
        display: none;
        /* Hide the table header */
    }

    .table-responsive tbody {
        display: flex;
        flex-direction: column;
        width: 100%;
    }

    .table-responsive tr {
        display: flex;
        flex-direction: column;
        margin: 1rem 1rem 0 1rem;
        border: 1px solid var(--border-color);
    }

    .table-responsive tr td:first-child {
        border-top: 0;
    }

    .table-responsive td {
        display: flex;
        justify-content: space-between;
        border-color: #eee;
    }

    .table-responsive td::before {
        content: attr(data-th);
        font-weight: bold;
        flex-basis: 40%;
        /* Reserve space for the label */
    }

    .table-responsive td:last-child {
        border-bottom: none;
    }
    body .col-lg-3.columnBlockLayout,body .col-lg-7.columnBlockLayout{
        max-width: unset !important;
        margin-left:0 !important;
    }
    body .col-lg-3.columnBlockLayout{
        order: 2;
    }
    body .col-lg-7.columnBlockLayout{
        order:1
    }
    .legend-holder,.sidebar{
        margin: 0 0 0 0; 
    margin-bottom: 20px;
        max-width: unset;
    }
    .crmEntityFormView .cell {
       margin-bottom: 0;
       padding: 0 0 15px 0!important;
    }
    .crmEntityFormView table {
       
    }
    .crmEntityFormView .section{
        width: calc(100% - 2rem) !important;
    }
    fieldset table.section tr td:nth-last-child(2) {
        padding-right: 8px !important;
    }
 

}

.mobile .nav {

    display: block;
    margin: 0;
    border-top: 1px solid var(--border-color);

}

.mobile-banner {
    display: flex;
    gap: 1rem;
    padding: 1rem 0;

}

.mobile-banner .menu {
    font-size: 27px;
}

.mobile-banner .logo {
    width: 160px;
}

.mobile .nav .nav-link {
    border-bottom: 2px solid #eee;
    font-weight: 600;
    color: var(--dark-purple);
    padding: 1rem;
}

.mobile .nav li:last-child .nav-link {
    border-bottom: 0;
}

.mobile .my-fingal-profile {
    margin-left: auto;
    border-top: 1px solid var(--border-color);
}